rednet.open("left")
-- monitor
p = peripheral.wrap("right")

p.setTextScale(1)
p.setTextColor(colors.white)
p.setBackgroundColor(colors.black)
p.clear()

while true do
    local id, message = rednet.receive()
    if id == 0 then
        p.setBackgroundColor(colors.black)
        p.setTextColor(colors.white)
        p.clear()
        p.setCursorPos(2, 5)
        p.write("Bateria: " .. message.battery .. "%")
        p.setCursorPos(28, 5)
        p.write("Generacja energii: ")
        if message.isGenerating then
            p.setTextColor(colors.green)
            p.write("Tak")
        else
            p.setTextColor(colors.red)
            p.write("Nie")
        end
        for i=2, 3 do
            for j=3, 48 do
                p.setCursorPos(j, i)
                if j <= math.floor(message.battery / 2) then
                    p.setBackgroundColor(colors.green)
                    p.write(" ")
                else
                    p.setBackgroundColor(colors.gray)
                    p.write(" ")
                end
            end
        end
    else
        print("Otrzymano wiadomość od nieznanego ID: " .. id)
    end
end